<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
		<head>
			<!-- template designed by Marco Von Ballmoos -->
			<title>Docs For Class APMSSession</title>
			<link rel="stylesheet" href="../../media/stylesheet.css" />
			<meta http-equiv='Content-Type' content='text/html; charset=iso-8859-1'/>
		</head>
		<body>
			<div class="page-body">			
<h2 class="class-name"><img src="../../media/images/Class_logo.png"
														alt=" Class"
														title=" Class"
														style="vertical-align: middle"> APMSSession</h2>

<a name="sec-description"></a>
<div class="info-box">
	<div class="info-box-title">Description</div>
	<div class="nav-bar">
					<span class="disabled">Description</span> |
															<a href="#sec-method-summary">Methods</a> (<a href="#sec-methods">details</a>)
						
					</div>
	<div class="info-box-body">
        		<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">A class for creating and holding session information.</p>
		<p class="notes">
			Located in <a class="field" href="_inc---APMSSession.php.html">/inc/APMSSession.php</a> (line <span class="field">51</span>)
		</p>
		
				
		<pre>Session
   |
   --APMSSession</pre>
	
			</div>
</div>




	<a name="sec-method-summary"></a>
	<div class="info-box">
		<div class="info-box-title">Method Summary</span></div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
												<span class="disabled">Methods</span> (<a href="#sec-methods">details</a>)
		</div>
		<div class="info-box-body">			
			<div class="method-summary">
																																																<div class="method-definition">
					<img src="../../media/images/Constructor.png" alt=" "/>
											<span class="method-result">APMSSession</span>
										<a href="#APMSSession" title="details" class="method-name">APMSSession</a>
											([<span class="var-type">string</span>&nbsp;<span class="var-name">$sid</span> = <span class="var-default">&quot;&quot;</span>])
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#AssignSessionDetails" title="details" class="method-name">AssignSessionDetails</a>
											(<span class="var-type">object</span>&nbsp;<span class="var-name">$u</span>)
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#GetRoles" title="details" class="method-name">GetRoles</a>
										()
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">boolean</span>
										<a href="#LoginRequired" title="details" class="method-name">LoginRequired</a>
											([<span class="var-type">string</span>&nbsp;<span class="var-name">$roles</span> = <span class="var-default">&quot;&quot;</span>])
									</div>
											</div>
		</div>
	</div>		

	
	<a name="sec-methods"></a>
	<div class="info-box">
		<div class="info-box-title">Methods</div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
													<a href="#sec-method-summary">Methods</a> (<span class="disabled">details</span>)
						
		</div>
		<div class="info-box-body">
			<A NAME='method_detail'></A>
<a name="methodAPMSSession" id="APMSSession"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<img src="../../media/images/Constructor.png" />
		<span class="method-title">Constructor APMSSession</span> (line <span class="line-number">62</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Create a new APMSSession object.</p>
<p class="description"><p>We create a Session and extend it with some additional useful APMS  related information.</p></p>
	
	<div class="method-signature">
		<span class="method-result">APMSSession</span>
		<span class="method-name">
			APMSSession
		</span>
					([<span class="var-type">string</span>&nbsp;<span class="var-name">$sid</span> = <span class="var-default">&quot;&quot;</span>])
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type">string</span>
				<span class="var-name">$sid</span><span class="var-description">: A session identifier.</span>			</li>
				</ul>
		
			
	</div>
<a name="methodAssignSessionDetails" id="AssignSessionDetails"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">AssignSessionDetails</span> (line <span class="line-number">72</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Internal function used to assign the session details to a user's new session.</p>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			AssignSessionDetails
		</span>
					(<span class="var-type">object</span>&nbsp;<span class="var-name">$u</span>)
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type">object</span>
				<span class="var-name">$u</span><span class="var-description">: The user+session object we (probably) read from the database.</span>			</li>
				</ul>
		
			
	</div>
<a name="methodGetRoles" id="GetRoles"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">GetRoles</span> (line <span class="line-number">84</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Method used to get the user's roles</p>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			GetRoles
		</span>
				()
			</div>
	
		
			
	</div>
<a name="methodLoginRequired" id="LoginRequired"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">LoginRequired</span> (line <span class="line-number">105</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Checks that this user is logged in, and presents a login screen if they aren't.</p>
<p class="description"><p>The function can optionally confirm whether they are a member of one of a list  of roles, and deny access if they are not a member of any of them.</p></p>
	<ul class="tags">
				<li><span class="field">return:</span> Whether or not the user is logged in and is a member of one of the required roles.</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">boolean</span>
		<span class="method-name">
			LoginRequired
		</span>
					([<span class="var-type">string</span>&nbsp;<span class="var-name">$roles</span> = <span class="var-default">&quot;&quot;</span>])
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type">string</span>
				<span class="var-name">$roles</span><span class="var-description">: The list of roles that the user must be a member of one of to be allowed to proceed.</span>			</li>
				</ul>
		
			
	</div>
						
		</div>
	</div>

	
	<p class="notes" id="credit">
		Documentation generated on Fri, 24 Dec 2010 22:48:17 +1300 by <a href="http://www.phpdoc.org" target="_blank">phpDocumentor 1.4.3</a>
	</p>
	</div></body>
</html>